OAS 10.1.2 10.1.3 10.1.4 : Preinstall Operating System Check Failed When Installing on Linux (Doc ID 1308937.1)

Last updated on FEBRUARY 15, 2017

Applies to:

Oracle Fusion Middleware - Version: 10.1.2.0.2 to 10.1.4.0.1 - Release: AS10gR2 to AS10gR2
Information in this document applies to any platform.
Oracle Application Server 10g Release 2 ( 10.1.2.0.2 )
Oracle Application Server 10g Release 3 ( 10.1.3 )
Oracle Identity Management Release 3 ( 10.1.4.0.1 )

Symptoms

Running the Oracle Universal Installer (OUI) to install Oracle Application Server 10g ( 10.1.2 or 10.1.3) or Oracle Identity Management 10g Rel 3 ( 10.1.4 ) on a certified Linux platform fails at the prerequisite / preinstall check stage.

You see prerequisite errors like:

Checking operating system certification
Expected result: One of redhat-Red Hat Enterprise Linux AS release 4,redhat-2.1,redhat-3,SuSE-9,SuSE-8,UnitedLinux-1.0
Actual Result: redhat-Enterprise Linux Enterprise Linux AS release 4 (October Update 4)
Check complete. The overall result of this check is: Failed <<<<

Problem: This Oracle software is not certified on the current operating system.
Recommendation: Make sure you are installing the software on the correct platform.

or

ERROR
Checking operating system version: must be redhat-Red Hat Enterprise Linux AS release 4, redhat-2.1, redhat-3, SuSE-9 or UnitedLinux-1.0
Failed <<<<

Such an error may be seen when installing on Linux operating systems such as

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms